Base dockerfile doesn't build

Hi,

I’m a bit new to docker. I want to customize the container, and as a test, I pull the repo down, and when I try to build the jitsi/base, it doesn’t work as I will get this error.

#7 0.479 /bin/sh: 1: apt-dpkg-wrap: not found

Thanks!

It’s working fine.

Logs
#1 [internal] load build definition from Dockerfile
#1 sha256:dbcf13c50cc783a24de77b2532f1d109aa433722e522b5b59f8e31346bd21477
#1 transferring dockerfile: 38B done
#1 DONE 0.0s

#2 [internal] load .dockerignore
#2 sha256:1d5a0d6822c098b4208b98c2996fa84f82ffca7d03bf82c0c9c7f3a1264eb55f
#2 transferring context: 2B done
#2 DONE 0.0s

#3 [internal] load metadata for docker.io/library/debian:buster-slim
#3 sha256:9eff6dca560982b2e63ff856e62cbe563510aefae21ffbf5035ede9ce6b0ad90
#3 DONE 2.4s

#4 [1/4] FROM docker.io/library/debian:buster-slim@sha256:544c93597c784cf68dbe492ef35c00de7f4f6a990955c7144a40b20d86a3475f
#4 sha256:9a7d06982c19da854304ccbbceff0f364ba16aae110532f6b2ae57349c50f567
#4 CACHED

#5 [internal] load build context
#5 sha256:85b90158b8782ce02cfe25550e1653f8f1823b04bd34cc243c895c0434905091
#5 transferring context: 802B done
#5 DONE 0.0s

#6 [2/4] COPY rootfs /
#6 sha256:839375b61d96e4b591e0ed0218b3c118d735522a03f4e02fbaab510a5b57dc34
#6 DONE 0.1s

#7 [3/4] RUN apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y apt-transport-https apt-utils ca-certificates gnupg wget &&     wget -qO - https://github.com/just-containers/s6-overlay/releases/download/v1.22.1.0/s6-overlay-amd64.tar.gz | tar xfz - -C / &&     wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | gpg --dearmour > /etc/apt/trusted.gpg.d/jitsi.gpg &&     wget -qO /usr/bin/frep https://github.com/subchen/frep/releases/download/v1.3.11/frep-1.3.11-linux-amd64 &&     echo "deb https://download.jitsi.org unstable/" > /etc/apt/sources.list.d/jitsi.list &&     echo "deb http://ftp.debian.org/debian buster-backports main" > /etc/apt/sources.list.d/backports.list &&     apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get dist-upgrade -y &&     apt-cleanup &&     chmod +x /usr/bin/frep
#7 sha256:4ba2ccb051de7c7d04fcc95c2bb7f7c66c53c3e469da6ac7dec7477abc216d74
#7 0.612 Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
#7 0.625 Get:2 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
#7 0.823 Get:3 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
#7 1.008 Get:4 http://security.debian.org/debian-security buster/updates/main amd64 Packages [308 kB]
#7 1.157 Get:5 http://deb.debian.org/debian buster/main amd64 Packages [7906 kB]
#7 12.74 Get:6 http://deb.debian.org/debian buster-updates/main amd64 Packages [15.2 kB]
#7 13.76 Fetched 8469 kB in 13s (633 kB/s)
#7 13.76 Reading package lists...
#7 14.37 Reading package lists...
#7 14.91 Building dependency tree...
#7 15.04 Reading state information...
#7 15.17 The following additional packages will be installed:
#7 15.17   dirmngr gnupg-l10n gnupg-utils gpg gpg-agent gpg-wks-client gpg-wks-server
#7 15.17   gpgconf gpgsm libapt-inst2.0 libassuan0 libksba8 libldap-2.4-2
#7 15.17   libldap-common libnpth0 libpcre2-8-0 libpsl5 libreadline7 libsasl2-2
#7 15.17   libsasl2-modules-db libsqlite3-0 libssl1.1 lsb-base openssl pinentry-curses
#7 15.18   readline-common
#7 15.18 Suggested packages:
#7 15.18   dbus-user-session libpam-systemd pinentry-gnome3 tor parcimonie xloadimage
#7 15.18   scdaemon pinentry-doc readline-doc
#7 15.18 Recommended packages:
#7 15.18   publicsuffix libsasl2-modules
#7 15.38 The following NEW packages will be installed:
#7 15.38   apt-transport-https apt-utils ca-certificates dirmngr gnupg gnupg-l10n
#7 15.38   gnupg-utils gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm
#7 15.38   libapt-inst2.0 libassuan0 libksba8 libldap-2.4-2 libldap-common libnpth0
#7 15.38   libpcre2-8-0 libpsl5 libreadline7 libsasl2-2 libsasl2-modules-db
#7 15.38   libsqlite3-0 libssl1.1 lsb-base openssl pinentry-curses readline-common wget
#7 15.59 0 upgraded, 31 newly installed, 0 to remove and 1 not upgraded.
#7 15.59 Need to get 13.0 MB of archives.
#7 15.59 After this operation, 29.6 MB of additional disk space will be used.
#7 15.59 Get:1 http://deb.debian.org/debian buster/main amd64 libapt-inst2.0 amd64 1.8.2.3 [204 kB]
#7 15.89 Get:2 http://deb.debian.org/debian buster/main amd64 apt-utils amd64 1.8.2.3 [421 kB]
#7 16.30 Get:3 http://deb.debian.org/debian buster/main amd64 readline-common all 7.0-5 [70.6 kB]
#7 16.36 Get:4 http://deb.debian.org/debian buster/main amd64 libpcre2-8-0 amd64 10.32-5 [213 kB]
#7 16.55 Get:5 http://deb.debian.org/debian buster/main amd64 libpsl5 amd64 0.20.2-2 [53.7 kB]
#7 16.60 Get:6 http://deb.debian.org/debian buster/main amd64 wget amd64 1.20.1-1.1 [902 kB]
#7 17.23 Get:7 http://deb.debian.org/debian buster/main amd64 apt-transport-https all 1.8.2.3 [149 kB]
#7 17.33 Get:8 http://deb.debian.org/debian buster/main amd64 libssl1.1 amd64 1.1.1d-0+deb10u7 [1539 kB]
#7 19.40 Get:9 http://deb.debian.org/debian buster/main amd64 openssl amd64 1.1.1d-0+deb10u7 [845 kB]
#7 20.88 Get:10 http://deb.debian.org/debian buster/main amd64 ca-certificates all 20200601~deb10u2 [166 kB]
#7 21.08 Get:11 http://deb.debian.org/debian buster/main amd64 libassuan0 amd64 2.5.2-1 [49.4 kB]
#7 21.15 Get:12 http://deb.debian.org/debian buster/main amd64 libreadline7 amd64 7.0-5 [151 kB]
#7 21.38 Get:13 http://deb.debian.org/debian buster/main amd64 gpgconf amd64 2.2.12-1+deb10u1 [510 kB]
#7 22.13 Get:14 http://deb.debian.org/debian buster/main amd64 lsb-base all 10.2019051400 [28.4 kB]
#7 22.16 Get:15 http://deb.debian.org/debian buster/main amd64 libksba8 amd64 1.3.5-2 [99.7 kB]
#7 22.26 Get:16 http://deb.debian.org/debian buster/main amd64 libsasl2-modules-db amd64 2.1.27+dfsg-1+deb10u1 [69.1 kB]
#7 22.31 Get:17 http://deb.debian.org/debian buster/main amd64 libsasl2-2 amd64 2.1.27+dfsg-1+deb10u1 [106 kB]
#7 22.37 Get:18 http://deb.debian.org/debian buster/main amd64 libldap-common all 2.4.47+dfsg-3+deb10u6 [90.0 kB]
#7 22.41 Get:19 http://deb.debian.org/debian buster/main amd64 libldap-2.4-2 amd64 2.4.47+dfsg-3+deb10u6 [224 kB]
#7 22.54 Get:20 http://deb.debian.org/debian buster/main amd64 libnpth0 amd64 1.6-1 [18.4 kB]
#7 22.55 Get:21 http://deb.debian.org/debian buster/main amd64 dirmngr amd64 2.2.12-1+deb10u1 [712 kB]
#7 23.25 Get:22 http://deb.debian.org/debian buster/main amd64 gnupg-l10n all 2.2.12-1+deb10u1 [1010 kB]
#7 24.63 Get:23 http://deb.debian.org/debian buster/main amd64 gnupg-utils amd64 2.2.12-1+deb10u1 [861 kB]
#7 25.86 Get:24 http://deb.debian.org/debian buster/main amd64 libsqlite3-0 amd64 3.27.2-3+deb10u1 [641 kB]
#7 28.83 Get:25 http://deb.debian.org/debian buster/main amd64 gpg amd64 2.2.12-1+deb10u1 [865 kB]
#7 29.56 Get:26 http://deb.debian.org/debian buster/main amd64 pinentry-curses amd64 1.1.0-2 [64.5 kB]
#7 29.61 Get:27 http://deb.debian.org/debian buster/main amd64 gpg-agent amd64 2.2.12-1+deb10u1 [617 kB]
#7 30.25 Get:28 http://deb.debian.org/debian buster/main amd64 gpg-wks-client amd64 2.2.12-1+deb10u1 [485 kB]
#7 30.73 Get:29 http://deb.debian.org/debian buster/main amd64 gpg-wks-server amd64 2.2.12-1+deb10u1 [478 kB]
#7 31.22 Get:30 http://deb.debian.org/debian buster/main amd64 gpgsm amd64 2.2.12-1+deb10u1 [604 kB]
#7 31.99 Get:31 http://deb.debian.org/debian buster/main amd64 gnupg all 2.2.12-1+deb10u1 [715 kB]
#7 33.05 debconf: delaying package configuration, since apt-utils is not installed
#7 33.07 Fetched 13.0 MB in 17s (742 kB/s)
#7 33.12 Selecting previously unselected package libapt-inst2.0:amd64.
(Reading database ... 6460 files and directories currently installed.)
#7 33.16 Preparing to unpack .../00-libapt-inst2.0_1.8.2.3_amd64.deb ...
#7 33.18 Unpacking libapt-inst2.0:amd64 (1.8.2.3) ...
#7 33.24 Selecting previously unselected package apt-utils.
#7 33.24 Preparing to unpack .../01-apt-utils_1.8.2.3_amd64.deb ...
#7 33.25 Unpacking apt-utils (1.8.2.3) ...
#7 33.34 Selecting previously unselected package readline-common.
#7 33.34 Preparing to unpack .../02-readline-common_7.0-5_all.deb ...
#7 33.34 Unpacking readline-common (7.0-5) ...
#7 33.41 Selecting previously unselected package libpcre2-8-0:amd64.
#7 33.41 Preparing to unpack .../03-libpcre2-8-0_10.32-5_amd64.deb ...
#7 33.42 Unpacking libpcre2-8-0:amd64 (10.32-5) ...
#7 33.50 Selecting previously unselected package libpsl5:amd64.
#7 33.50 Preparing to unpack .../04-libpsl5_0.20.2-2_amd64.deb ...
#7 33.51 Unpacking libpsl5:amd64 (0.20.2-2) ...
#7 33.56 Selecting previously unselected package wget.
#7 33.56 Preparing to unpack .../05-wget_1.20.1-1.1_amd64.deb ...
#7 33.57 Unpacking wget (1.20.1-1.1) ...
#7 33.71 Selecting previously unselected package apt-transport-https.
#7 33.72 Preparing to unpack .../06-apt-transport-https_1.8.2.3_all.deb ...
#7 33.72 Unpacking apt-transport-https (1.8.2.3) ...
#7 33.81 Selecting previously unselected package libssl1.1:amd64.
#7 33.81 Preparing to unpack .../07-libssl1.1_1.1.1d-0+deb10u7_amd64.deb ...
#7 33.81 Unpacking libssl1.1:amd64 (1.1.1d-0+deb10u7) ...
#7 34.01 Selecting previously unselected package openssl.
#7 34.02 Preparing to unpack .../08-openssl_1.1.1d-0+deb10u7_amd64.deb ...
#7 34.02 Unpacking openssl (1.1.1d-0+deb10u7) ...
#7 34.16 Selecting previously unselected package ca-certificates.
#7 34.16 Preparing to unpack .../09-ca-certificates_20200601~deb10u2_all.deb ...
#7 34.18 Unpacking ca-certificates (20200601~deb10u2) ...
#7 34.27 Selecting previously unselected package libassuan0:amd64.
#7 34.27 Preparing to unpack .../10-libassuan0_2.5.2-1_amd64.deb ...
#7 34.28 Unpacking libassuan0:amd64 (2.5.2-1) ...
#7 34.35 Selecting previously unselected package libreadline7:amd64.
#7 34.35 Preparing to unpack .../11-libreadline7_7.0-5_amd64.deb ...
#7 34.36 Unpacking libreadline7:amd64 (7.0-5) ...
#7 34.42 Selecting previously unselected package gpgconf.
#7 34.42 Preparing to unpack .../12-gpgconf_2.2.12-1+deb10u1_amd64.deb ...
#7 34.42 Unpacking gpgconf (2.2.12-1+deb10u1) ...
#7 34.49 Selecting previously unselected package lsb-base.
#7 34.49 Preparing to unpack .../13-lsb-base_10.2019051400_all.deb ...
#7 34.50 Unpacking lsb-base (10.2019051400) ...
#7 34.56 Selecting previously unselected package libksba8:amd64.
#7 34.56 Preparing to unpack .../14-libksba8_1.3.5-2_amd64.deb ...
#7 34.57 Unpacking libksba8:amd64 (1.3.5-2) ...
#7 34.63 Selecting previously unselected package libsasl2-modules-db:amd64.
#7 34.63 Preparing to unpack .../15-libsasl2-modules-db_2.1.27+dfsg-1+deb10u1_amd64.deb ...
#7 34.64 Unpacking libsasl2-modules-db:amd64 (2.1.27+dfsg-1+deb10u1) ...
#7 34.70 Selecting previously unselected package libsasl2-2:amd64.
#7 34.70 Preparing to unpack .../16-libsasl2-2_2.1.27+dfsg-1+deb10u1_amd64.deb ...
#7 34.71 Unpacking libsasl2-2:amd64 (2.1.27+dfsg-1+deb10u1) ...
#7 34.77 Selecting previously unselected package libldap-common.
#7 34.77 Preparing to unpack .../17-libldap-common_2.4.47+dfsg-3+deb10u6_all.deb ...
#7 34.78 Unpacking libldap-common (2.4.47+dfsg-3+deb10u6) ...
#7 34.86 Selecting previously unselected package libldap-2.4-2:amd64.
#7 34.86 Preparing to unpack .../18-libldap-2.4-2_2.4.47+dfsg-3+deb10u6_amd64.deb ...
#7 34.87 Unpacking libldap-2.4-2:amd64 (2.4.47+dfsg-3+deb10u6) ...
#7 34.95 Selecting previously unselected package libnpth0:amd64.
#7 34.95 Preparing to unpack .../19-libnpth0_1.6-1_amd64.deb ...
#7 34.96 Unpacking libnpth0:amd64 (1.6-1) ...
#7 35.02 Selecting previously unselected package dirmngr.
#7 35.02 Preparing to unpack .../20-dirmngr_2.2.12-1+deb10u1_amd64.deb ...
#7 35.04 Unpacking dirmngr (2.2.12-1+deb10u1) ...
#7 35.15 Selecting previously unselected package gnupg-l10n.
#7 35.15 Preparing to unpack .../21-gnupg-l10n_2.2.12-1+deb10u1_all.deb ...
#7 35.16 Unpacking gnupg-l10n (2.2.12-1+deb10u1) ...
#7 35.32 Selecting previously unselected package gnupg-utils.
#7 35.32 Preparing to unpack .../22-gnupg-utils_2.2.12-1+deb10u1_amd64.deb ...
#7 35.32 Unpacking gnupg-utils (2.2.12-1+deb10u1) ...
#7 35.44 Selecting previously unselected package libsqlite3-0:amd64.
#7 35.44 Preparing to unpack .../23-libsqlite3-0_3.27.2-3+deb10u1_amd64.deb ...
#7 35.45 Unpacking libsqlite3-0:amd64 (3.27.2-3+deb10u1) ...
#7 35.57 Selecting previously unselected package gpg.
#7 35.57 Preparing to unpack .../24-gpg_2.2.12-1+deb10u1_amd64.deb ...
#7 35.58 Unpacking gpg (2.2.12-1+deb10u1) ...
#7 35.70 Selecting previously unselected package pinentry-curses.
#7 35.70 Preparing to unpack .../25-pinentry-curses_1.1.0-2_amd64.deb ...
#7 35.71 Unpacking pinentry-curses (1.1.0-2) ...
#7 35.76 Selecting previously unselected package gpg-agent.
#7 35.76 Preparing to unpack .../26-gpg-agent_2.2.12-1+deb10u1_amd64.deb ...
#7 35.77 Unpacking gpg-agent (2.2.12-1+deb10u1) ...
#7 35.85 Selecting previously unselected package gpg-wks-client.
#7 35.86 Preparing to unpack .../27-gpg-wks-client_2.2.12-1+deb10u1_amd64.deb ...
#7 35.86 Unpacking gpg-wks-client (2.2.12-1+deb10u1) ...
#7 35.93 Selecting previously unselected package gpg-wks-server.
#7 35.93 Preparing to unpack .../28-gpg-wks-server_2.2.12-1+deb10u1_amd64.deb ...
#7 35.94 Unpacking gpg-wks-server (2.2.12-1+deb10u1) ...
#7 36.01 Selecting previously unselected package gpgsm.
#7 36.01 Preparing to unpack .../29-gpgsm_2.2.12-1+deb10u1_amd64.deb ...
#7 36.02 Unpacking gpgsm (2.2.12-1+deb10u1) ...
#7 36.10 Selecting previously unselected package gnupg.
#7 36.10 Preparing to unpack .../30-gnupg_2.2.12-1+deb10u1_all.deb ...
#7 36.11 Unpacking gnupg (2.2.12-1+deb10u1) ...
#7 36.28 Setting up libksba8:amd64 (1.3.5-2) ...
#7 36.31 Setting up lsb-base (10.2019051400) ...
#7 36.33 Setting up libpsl5:amd64 (0.20.2-2) ...
#7 36.36 Setting up apt-transport-https (1.8.2.3) ...
#7 36.38 Setting up libssl1.1:amd64 (1.1.1d-0+deb10u7) ...
#7 36.48 Setting up libsqlite3-0:amd64 (3.27.2-3+deb10u1) ...
#7 36.50 Setting up libnpth0:amd64 (1.6-1) ...
#7 36.53 Setting up libassuan0:amd64 (2.5.2-1) ...
#7 36.55 Setting up libapt-inst2.0:amd64 (1.8.2.3) ...
#7 36.57 Setting up libldap-common (2.4.47+dfsg-3+deb10u6) ...
#7 36.60 Setting up libsasl2-modules-db:amd64 (2.1.27+dfsg-1+deb10u1) ...
#7 36.63 Setting up gnupg-l10n (2.2.12-1+deb10u1) ...
#7 36.65 Setting up libpcre2-8-0:amd64 (10.32-5) ...
#7 36.67 Setting up libsasl2-2:amd64 (2.1.27+dfsg-1+deb10u1) ...
#7 36.70 Setting up openssl (1.1.1d-0+deb10u7) ...
#7 36.75 Setting up readline-common (7.0-5) ...
#7 36.78 Setting up libreadline7:amd64 (7.0-5) ...
#7 36.80 Setting up gnupg-utils (2.2.12-1+deb10u1) ...
#7 36.82 Setting up pinentry-curses (1.1.0-2) ...
#7 36.84 Setting up apt-utils (1.8.2.3) ...
#7 36.87 Setting up wget (1.20.1-1.1) ...
#7 36.90 Setting up libldap-2.4-2:amd64 (2.4.47+dfsg-3+deb10u6) ...
#7 36.92 Setting up ca-certificates (20200601~deb10u2) ...
#7 37.41 Updating certificates in /etc/ssl/certs...
#7 38.02 137 added, 0 removed; done.
#7 38.07 Setting up gpgconf (2.2.12-1+deb10u1) ...
#7 38.09 Setting up gpg (2.2.12-1+deb10u1) ...
#7 38.12 Setting up gpg-agent (2.2.12-1+deb10u1) ...
#7 38.16 Setting up gpgsm (2.2.12-1+deb10u1) ...
#7 38.18 Setting up dirmngr (2.2.12-1+deb10u1) ...
#7 38.22 Setting up gpg-wks-server (2.2.12-1+deb10u1) ...
#7 38.24 Setting up gpg-wks-client (2.2.12-1+deb10u1) ...
#7 38.27 Setting up gnupg (2.2.12-1+deb10u1) ...
#7 38.29 Processing triggers for libc-bin (2.28-10) ...
#7 38.35 Processing triggers for ca-certificates (20200601~deb10u2) ...
#7 38.37 Updating certificates in /etc/ssl/certs...
#7 38.84 0 added, 0 removed; done.
#7 38.84 Running hooks in /etc/ca-certificates/update.d...
#7 38.84 done.
#7 65.39 Hit:1 http://security.debian.org/debian-security buster/updates InRelease
#7 65.39 Hit:2 http://deb.debian.org/debian buster InRelease
#7 65.39 Get:3 http://ftp.debian.org/debian buster-backports InRelease [46.7 kB]
#7 65.50 Hit:4 http://deb.debian.org/debian buster-updates InRelease
#7 65.85 Get:5 http://ftp.debian.org/debian buster-backports/main amd64 Packages [486 kB]
#7 66.83 Get:6 https://download.jitsi.org unstable/ InRelease [1888 B]
#7 67.87 Get:7 https://download.jitsi.org unstable/ Packages [45.4 kB]
#7 68.21 Fetched 580 kB in 3s (185 kB/s)
#7 68.21 Reading package lists...
#7 68.84 Reading package lists...
#7 69.42 Building dependency tree...
#7 69.55 Reading state information...
#7 69.58 Calculating upgrade...
#7 69.72 The following packages will be upgraded:
#7 69.72   tzdata
#7 69.87 1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
#7 69.87 Need to get 266 kB of archives.
#7 69.87 After this operation, 0 B of additional disk space will be used.
#7 69.87 Get:1 http://deb.debian.org/debian buster-updates/main amd64 tzdata all 2021a-0+deb10u3 [266 kB]
#7 70.88 Preconfiguring packages ...
#7 70.95 Fetched 266 kB in 0s (549 kB/s)
(Reading database ... 7302 files and directories currently installed.)
#7 71.00 Preparing to unpack .../tzdata_2021a-0+deb10u3_all.deb ...
#7 71.03 Unpacking tzdata (2021a-0+deb10u3) over (2021a-0+deb10u2) ...
#7 74.64 Setting up tzdata (2021a-0+deb10u3) ...
#7 74.73
#7 74.73 Current default time zone: 'Etc/UTC'
#7 74.74 Local time is now:      Wed Nov  3 08:12:45 UTC 2021.
#7 74.74 Universal Time is now:  Wed Nov  3 08:12:45 UTC 2021.
#7 74.74 Run 'dpkg-reconfigure tzdata' if you wish to change it.
#7 74.74
#7 DONE 74.9s

#8 [4/4] RUN [ "unstable" = "unstable" ] &&     apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y jq procps curl vim iputils-ping net-tools &&     apt-cleanup ||     true
#8 sha256:a75bd820e9f213b9b4feac5bdbdb1f142aba07bbd51a085763015664d3cdf729
#8 0.698 Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
#8 1.123 Get:2 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
#8 1.383 Get:3 http://ftp.debian.org/debian buster-backports InRelease [46.7 kB]
#8 1.458 Get:4 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
#8 1.726 Get:5 http://deb.debian.org/debian buster/main amd64 Packages [7906 kB]
#8 12.60 Ign:6 https://download.jitsi.org unstable/ InRelease
#8 15.13 Get:7 http://security.debian.org/debian-security buster/updates/main amd64 Packages [308 kB]
#8 15.51 Get:8 http://ftp.debian.org/debian buster-backports/main amd64 Packages [486 kB]
#8 15.77 Get:9 http://deb.debian.org/debian buster-updates/main amd64 Packages [15.2 kB]
#8 17.38 Get:10 https://download.jitsi.org unstable/ Release [985 B]
#8 17.71 Get:11 https://download.jitsi.org unstable/ Release.gpg [581 B]
#8 17.71 Ign:11 https://download.jitsi.org unstable/ Release.gpg
#8 17.72 Reading package lists...
#8 18.33 W: GPG error: https://download.jitsi.org unstable/ Release: Detached signature file '/var/lib/apt/lists/partial/download.jitsi.org_unstable_Release.gpg' is in unsupported binary format
#8 18.33 E: The repository 'https://download.jitsi.org unstable/ Release' is not signed.
#8 DONE 18.4s

#9 exporting to image
#9 sha256:e8c613e07b0b7ff33893b694f7759a10d42e180f2b4dc349fb57dc6b71dcab00
#9 exporting layers
#9 exporting layers 0.5s done
#9 writing image sha256:c461c226c644f6fe1c5894ce651f58ad8eaaec9513b99122b73410d44d8cd5db done

Thanks! Does it matter if it’s because I’m on Windows?

You need a linux environment to deploy Jitsi.

I have WSL running. If I use the docker image via docker pull, it runs. The trouble I’m running into is I can’t build the base. This is my log.

$ docker build -t jitsi-base ./base
[+] Building 1.5s (7/8)
 => [internal] load build definition from Dockerfile                                                                                                      0.0s 
 => => transferring dockerfile: 1.27kB                                                                                                                    0.0s 
 => [internal] load .dockerignore                                                                                                                         0.0s 
 => => transferring context: 2B                                                                                                                           0.0s 
 => [internal] load metadata for docker.io/library/debian:buster-slim                                                                                     0.9s 
 => [internal] load build context                                                                                                                         0.1s 
 => => transferring context: 1.39kB                                                                                                                       0.0s 
 => [1/4] FROM docker.io/library/debian:buster-slim@sha256:544c93597c784cf68dbe492ef35c00de7f4f6a990955c7144a40b20d86a3475f                               0.0s 
 => CACHED [2/4] COPY rootfs /                                                                                                                            0.0s 
 => ERROR [3/4] RUN apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y apt-transport-https apt-utils ca-certificates gnupg wget &&      0.4s 
------
 > [3/4] RUN apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y apt-transport-https apt-utils ca-certificates gnupg wget &&     wget -qO - https://github.com/just-containers/s6-overlay/releases/download/v1.22.1.0/s6-overlay-amd64.tar.gz | tar xfz - -C / &&     wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | gpg --dearmour > /etc/apt/trusted.gpg.d/jitsi.gpg &&     wget -qO /usr/bin/frep https://github.com/subchen/frep/releases/download/v1.3.11/frep-1.3.11-linux-amd64 &&     echo "deb https://download.jitsi.org stable/" > /etc/apt/sources.list.d/jitsi.list &&     echo "deb http://ftp.debian.org/debian buster-backports main" > /etc/apt/sources.list.d/backports.list &&     apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get dist-upgrade -y &&     apt-cleanup &&     chmod +x /usr/bin/frep:
#7 0.405 /bin/sh: 1: apt-dpkg-wrap: not found
------
executor failed running [/bin/sh -c apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y apt-transport-https apt-utils ca-certificates gnupg wget &&     wget -qO - https://github.com/just-containers/s6-overlay/releases/download/v1.22.1.0/s6-overlay-amd64.tar.gz | tar xfz - -C / &&     wget -qO - https://download.jitsi.org/jitsi-key.gpg.key | gpg --dearmour > /etc/apt/trusted.gpg.d/jitsi.gpg &&     wget -qO /usr/bin/frep https://github.com/subchen/frep/releases/download/v$FREP_VERSION/frep-$FREP_VERSION-linux-amd64 &&     echo "deb https://download.jitsi.org $JITSI_RELEASE/" > /etc/apt/sources.list.d/jitsi.list &&     echo "deb http://ftp.debian.org/debian buster-backports main" > /etc/apt/sources.list.d/backports.list &&     apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get dist-upgrade -y &&     apt-cleanup &&     chmod +x /usr/bin/frep]: exit code: 127

Any ideas?

Check that line endings are not CRLF by any chance. All of them have to be LF, especially base/rootfs/usr/bin/apt-dpkg-wrap which might be causing this specific error.

That fixed the issues! Thank you!